<?xml version="1.0" encoding="UTF-8"?>
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron"
             id="onco-dataelementv1-13395">
   <sch:rule context="//fhir:item[fhir:linkId/@value='onco-dataelementv1-13395']">
      <sch:assert test="fhir:definition/@value = 'http://www.iknl.nl/fhir/DataElement/onco-dataelementv1-13395'">Definition <value-of xmlns="http://hl7.org/fhir" select="fhir:definition/@value"/> must be 'http://www.iknl.nl/fhir/DataElement/onco-dataelementv1-13395'.</sch:assert>
      <sch:assert test="local-name(fhir:answer/*) = 'valueCoding'">Answer must be of type 'valueCoding'.</sch:assert>
      <sch:let name="valueset"
               value="doc(concat('../ValueSet/2.16.840.1.113883.2.4.3.11.60.107.11.95--20150714070650', '.xml'))"/>
      <sch:assert test="fhir:answer/*/fhir:code/@value = $valueset//fhir:contains/fhir:code/@value"
                  see="http://decor.nictiz.nl/fhir/ValueSet/2.16.840.1.113883.2.4.3.11.60.107.11.95--20150714070650">Code <value-of xmlns="http://hl7.org/fhir" select="fhir:answer/*/fhir:code/@value"/> 'onco-dataelementv1-12002' must be from.</sch:assert>
      <sch:assert test="fhir:answer/*/fhir:system/@value = $valueset//fhir:contains/fhir:system/@value"
                  see="http://decor.nictiz.nl/fhir/ValueSet/2.16.840.1.113883.2.4.3.11.60.107.11.95--20150714070650">System <value-of xmlns="http://hl7.org/fhir" select="fhir:answer/*/fhir:system/@value"/> 'onco-dataelementv1-12002' must be from.</sch:assert>
   </sch:rule>
</sch:pattern>
